<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

<?php 
 include("header.php");
 include("conexionOdo.php");

 //trae el numero de sedes permitidas para la empresa
 $querys  = "SELECT numMedicos FROM SIME_BAS_EMPRESAS WHERE nitEmpresa=$s_nitEmpresa ";
 $results = mysql_query($querys) or die('Consulta de numero de medicos fallida: ' . mysql_error());
 $lineas  = mysql_fetch_array($results, MYSQL_ASSOC);
 $s_numMedicos = $lineas['numMedicos'];

 // Realiza consulta de usuarios MySQL
 $query = "SELECT * FROM SIME_BAS_N_USUARIOS WHERE nitEmpresa='$s_nitEmpresa' AND codPerfil!='M' AND codPerfil!='B'" ;
 $result = mysql_query($query) or die('Consulta fallida: ' . mysql_error());

 //muestra informacion en una tabla
 $i=0;
 while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
  //asigna valores a variables de trabajo
  $logUsuario = $line["logUsuario"];
  $usuario = $line["nomUsuario"]. " ". $line["apell1Usuario"]. " ". $line["apell2Usuario"];
  $nombres   = $line["nomUsuario"];
  $apellido1 = $line["apell1Usuario"]; 
  $apellido2 = $line["apell2Usuario"];
  $estado    = $line["estado"];
  $perfil    = $line["codPerfil"];
  if ($estado=="A") {
   $estado="Activo";
  }
  if ($estado=="I") {
    $estado="Inactivo";
  }
  if ($perfil=="A") {
    $perfil="Administrador";
  }
  if ($perfil=="C") {
    $perfil="Consulta";
  } 
  if ($perfil=="M") {
    $perfil="Medico";
  }
  if ($perfil=="S") {
    $perfil="Superusuario";
  }
  if ($perfil=="O") {
    $perfil="Odontologo";
  }
  if ($perfil=="B") {
   $perfil="Barra Med.";
  }
  if ($perfil=="V") {
   $perfil="Barra Odo.";
 }
 
 $registroMed = $line["registroMedico"]; 
 //adecua campos string para ser enviados por la url
 $nombres1 = str_replace(" ","%20",$nombres);
 $nombres2 = urlencode($nombres1);
 $apellido1A = str_replace(" ","%20",$apellido1);
 $apellido1AA = urlencode($apellido1A);
 $apellido2A = str_replace(" ","%20",$apellido2);
 $apellido2AA = urlencode($apellido2A);

 echo("<table align='center' width='950' border='1' cellpading='0'>\n");
  echo ("<form method='post' action='usuariosModificar.php'>\n");
   if ($i==0){// para mostrar titulos 
     echo ("<tr>\n");
       echo   ("<td class='titulosTabla' align='center' colspan='6'>ADMINISTRACION DE USUARIOS</td>\n");
     echo("<tr>\n");
       echo("<td width='10%' class='subtutulosTabla' align='center'>ACCIONES</td>\n"); 
       echo("<td width='30%' class='subtutulosTabla' align='center'>CODIGO USUARIO</td>\n");
       echo("<td width='30%' class='subtutulosTabla' align= 'center'>NOMBRE DEL USUARIO</td>\n");
       echo("<td width='10%' class='subtutulosTabla' align= 'center'>PERFIL</td>\n");
       //echo("<td class='subtutulosTabla' align= 'center'>REGISTRO</td>\n");
       echo("<td width='10%' class='subtutulosTabla' align= 'center'>ESTADO</td>\n");
       echo("<td width='10%' class='subtutulosTabla' align='center'>FIRMA Y SELLO</td>\n");
     echo("</tr>\n");
   }

 echo("<tr class='camposTabla'>\n");
       echo("<td width='10%'> <a href=usuariosModificar.php?e_codCargo=$codCargo&e_nitEmpresa=$s_nitEmpresa&e_codSede=$s_codSede&e_idUsuario=$s_idUsuario&s_nomCargo=$nomCargo2&e_nombre=$nombres2&e_usuario=$s_usuaUrlCode&e_empresa=$s_empresaUrlCode&e_apellido1=$apellido1AA&e_apellido2=$apellido2AA&e_logUsuario=$logUsuario&e_cargo2=$s_cargoUrlCode&e_registro=$registroMed&s_vengoDe=$s_vengoDe>Modificar</a></td>\n");
       
      echo("<td width='30%'>$logUsuario</td>\n");
       echo("<td width='30%'>$usuario</td>\n");
       echo("<td width='10%'>$perfil</td>\n");
       //echo("<td width='20%'>$registroMed</td>\n");
       echo("<td width='10%'>$estado</td>\n");
       
       if ($perfil=="Medico" or $perfil=="Odontologo"){
       echo("<td width='10%'> <a href=firmaLeer.php?nomUsu=$logUsuario&e_codCargo=$codCargo&e_nitEmpresa=$s_nitEmpresa&e_codSede=$s_codSede&e_idUsuario=$s_idUsuario&s_nomCargo=$nomCargo2&e_nombre=$nombres2&e_usuario=$s_usuaUrlCode&e_empresa=$s_empresaUrlCode&e_apellido1=$apellido1AA&e_apellido2=$apellido2AA&e_logUsuario=$logUsuario&e_cargo2=$s_cargoUrlCode&e_registro=$registroMed&s_vengoDe=$s_vengoDe>Firma</a></td>\n");
       }
       else
       {
         echo("<td width='10%'>  </td>\n");
       } 
      echo("</tr>\n");
      $i = $i+1;
 } //while
?>

<table align="center">
  <tr>
  <?php 
   if ($i < $s_numMedicos+1)
   {
  ?>
    <td align='right' colspan='2' width='15%'> 
       <a href=menuOpciones.php><img src="imagenes/btnVol.jpg"></a>
    </td>
    <td align='left' colspan='2' width='15%'> 
      <a href=usuariosAdicionar.php><img src="imagenes/btnNvo.jpg"></a>
    </td>
  <?php
   }
   else
   {
  ?> 
   <td align='center' colspan='6' width='15%'> 
       <a href=menuOpciones.php><img src="imagenes/btnVol.jpg"></a>
    </td>
   <?php
   }
  ?>    
   
  </tr>
 </table>
    <input style="visibility:hidden" name="s_vengoDe" id="s_vengoDe" value="<?=$s_vengoDe?>"/>  
 </form>
</table> 
 
<?php
 // Liberar resultados
 mysql_free_result($result);
 // Cerrar la conexion
 mysql_close($link);
?>

 </body>
</html>